LogVerifyConfig (Oracle - Berkeley DB Java API)
Date: 2018-05-29

com.sleepycat.db

## Class LogVerifyConfig

- java.lang.Object
- - com.sleepycat.db.LogVerifyConfig

- All Implemented Interfaces:
    java.lang.Cloneable

      public class LogVerifyConfig
      extends java.lang.Object
      implements java.lang.Cloneable

  Specify the attributes of a database.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogVerifyConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCacheSize()` Return the internal database environment cache size.
    `boolean` | `getContinueAfterFail()` Return if continue after a failed check.
    `java.lang.String` | `getDbFile()` Return the database file name whose logs we will verify.
    `java.lang.String` | `getDbName()` Return the database name whose logs we will verify.
    `LogSequenceNumber` | `getEndLsn()` Return the ending lsn to verify.
    `java.util.Date` | `getEndTime()` Return the ending time to verify.
    `java.lang.String` | `getEnvHome()` Return the home directory to use by the log verification internally.
    `LogSequenceNumber` | `getStartLsn()` Return the starting lsn to verify.
    `java.util.Date` | `getStartTime()` Return the starting time to verify.
    `boolean` | `getVerbose()` Return if print verbose information.
    `void` | `setCacheSize(int cachesize)` Set the internal database environment cache size.
    `void` | `setContinueAfterFail(boolean caf)` Set if continue after a failed check.
    `void` | `setDbFile(java.lang.String file)` Set the database file name whose logs we will verify.
    `void` | `setDbName(java.lang.String name)` Set the database name whose logs we will verify.
    `void` | `setEndLsn(LogSequenceNumber endlsn)` Set the ending lsn to verify.
    `void` | `setEndTime(java.util.Date etime)` Set the ending lsn to verify.
    `void` | `setEnvHome(java.lang.String home)` Set the home directory to use by the log verification internally.
    `void` | `setStartLsn(LogSequenceNumber stLsn)` Set the starting lsn to verify.
    `void` | `setStartTime(java.util.Date stime)` Set the starting time to verify.
    `void` | `setVerbose(boolean verbs)` Set if print verbose information.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogVerifyConfig

          public LogVerifyConfig()

  - ### Method Detail

    - #### getEnvHome

          public java.lang.String getEnvHome()

      Return the home directory to use by the log verification internally.

      Returns:
        Return the environment home directory path.

    - #### setEnvHome

          public void setEnvHome(java.lang.String home)

      Set the home directory to use by the log verification internally.

      Parameters:
        `home` - The home directory of the internal database environment we use to store intermediate data during the verification process, can be null, meaning we will create the environment and all databases in memory, which can be overwhelming if the log takes up more space than available memory.

      Throws:
        `java.lang.IllegalArgumentException` - if home is an empty string.

    - #### getCacheSize

          public int getCacheSize()

      Return the internal database environment cache size.

      Returns:
        Return the internal database environment cache size.

    - #### setCacheSize

          public void setCacheSize(int cachesize)

      Set the internal database environment cache size.

      Parameters:
        `cachesize` - The internal database environment cache size.

    - #### getDbFile

          public java.lang.String getDbFile()

      Return the database file name whose logs we will verify.

      Returns:
        Return the database file name whose logs we will verify.

    - #### setDbFile

          public void setDbFile(java.lang.String file)

      Set the database file name whose logs we will verify.

      Parameters:
        `file` - The database file name whose logs we will verify.

    - #### getDbName

          public java.lang.String getDbName()

      Return the database name whose logs we will verify.

      Returns:
        Return the database name whose logs we will verify.

    - #### setDbName

          public void setDbName(java.lang.String name)

      Set the database name whose logs we will verify.

      Parameters:
        `name` - The database name whose logs we will verify.

    - #### getStartLsn

          public LogSequenceNumber getStartLsn()

      Return the starting lsn to verify.

      Returns:
        The starting lsn to verify.

    - #### setStartLsn

          public void setStartLsn(LogSequenceNumber stLsn)

      Set the starting lsn to verify.

      Parameters:
        `stLsn` - The starting lsn to verify.

    - #### getEndLsn

          public LogSequenceNumber getEndLsn()

      Return the ending lsn to verify.

      Returns:
        The ending lsn to verify.

    - #### setEndLsn

          public void setEndLsn(LogSequenceNumber endlsn)

      Set the ending lsn to verify.

      Parameters:
        `endlsn` - The ending lsn to verify.

    - #### getStartTime

          public java.util.Date getStartTime()

      Return the starting time to verify.

      Returns:
        The starting time to verify.

    - #### setStartTime

          public void setStartTime(java.util.Date stime)

      Set the starting time to verify.

      Parameters:
        `stime` - The starting time to verify.

    - #### getEndTime

          public java.util.Date getEndTime()

      Return the ending time to verify.

      Returns:
        The ending time to verify.

    - #### setEndTime

          public void setEndTime(java.util.Date etime)

      Set the ending lsn to verify.

      Parameters:
        `etime` - The ending time to verify.

    - #### getContinueAfterFail

          public boolean getContinueAfterFail()

      Return if continue after a failed check.

      Returns:
        If continue after a failed check.

    - #### setContinueAfterFail

          public void setContinueAfterFail(boolean caf)

      Set if continue after a failed check.

      Parameters:
        `caf` - If continue after a failed check.

    - #### getVerbose

          public boolean getVerbose()

      Return if print verbose information.

      Returns:
        If print verbose information.

    - #### setVerbose

          public void setVerbose(boolean verbs)

      Set if print verbose information.

      Parameters:
        `verbs` - If print verbose information.

Copyright (c) 1996, 2018 Oracle and/or its affiliates. All rights reserved.